Package org.apache.wiki.plugin

# Class WeblogEntryPlugin

java.lang.Object
org.apache.wiki.plugin.WeblogEntryPlugin

All Implemented Interfaces:
  `Plugin`

public class WeblogEntryPlugin extends Object implements Plugin
Builds a simple weblog.

Parameters :

- entrytext - text of the link
- page - if set, the entry is added to the named blog page. The default is the current page.

Since:
  1.9.21

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`PARAM_BLOGNAME`
Parameter name for setting the page Value is `"page"`.
`static final String`
`PARAM_ENTRYTEXT`
Parameter name for setting the entrytext Value is `"entrytext"`.

### Fields inherited from interface org.apache.wiki.api.plugin.Plugin

`CORE_PLUGINS_RESOURCEBUNDLE`

## Constructor Summary

Constructors
Constructor
Description
`WeblogEntryPlugin()`

## Method Summary

Modifier and Type
Method
Description
`String`
`execute(Context context, Map<String,String> params)`
`String`
`getNewEntryPage(Engine engine, String blogName)`
Returns a new page name for entries.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### PARAM_ENTRYTEXT

public static final String PARAM_ENTRYTEXT
Parameter name for setting the entrytext Value is `"entrytext"`.

See Also:
  - Constant Field Values

### PARAM_BLOGNAME

public static final String PARAM_BLOGNAME
Parameter name for setting the page Value is `"page"`.

See Also:
  - Constant Field Values

## Constructor Details

### WeblogEntryPlugin

public WeblogEntryPlugin()

## Method Details

### getNewEntryPage

public String getNewEntryPage(Engine engine, String blogName) throws ProviderException
Returns a new page name for entries. It goes through the list of all blog pages, and finds out the next in line.

Parameters:
  `engine` - A Engine
  `blogName` - The page (or blog) name.
Returns:
  A new name.
Throws:
  `ProviderException` - If something goes wrong.

### execute

public String execute(Context context, Map<String,String> params) throws PluginException

Specified by:
  `execute` in interface `Plugin`
Throws:
  `PluginException`